NGETTEXT(1)

NUME
ngettext - traduce mesajul și alege forma pluralului

SINOPSIS
ngettext [OPȚIUNE] [DOMENIU-TEXT] MSGID MSGID-PLURAL CONTOR

DESCRIERE
Programul ngettext traduce un mesaj din limba originală în limba utilizatorului, căutând traducerea într-un catalog de mesaje, și alege forma de plural corespunzătoare, care depinde de numărul CONTOR și de limba din catalogul de mesaje în care a fost găsită traducerea.

Afișează traducerea în limba maternă a unui mesaj textual a cărui formă gramaticală depinde de un număr.

  Opțiuni și argumente:

-d, --domain=DOMENIU_TEXT
    preia mesajul tradus din DOMENIU_TEXT

-c, --context=CONTEXT
    specifică contextul pentru MSGID

-e  activează expansiunea unor caractere de eludare

-E  (ignorată pentru compatibilitate)

[DOMENIU_TEXT]
    preia mesajul tradus din DOMENIU_TEXT

MSGID MSGID-PLURAL
    traduce MSGID (singular) / MSGID-PLURAL (plural)

CONTOR
    alege forma de singular/plural pe baza acestei valori

  Ieșire informativă:

-h, --help
    afișează acest mesaj de ajutor și iese

-V, --version
    afișează informațiile despre versiune și iese

Dacă parametrul DOMENIU-TEXT nu este furnizat, domeniul este determinat de variabila de mediu TEXTDOMAIN. În cazul în care catalogul de mesaje nu se găsește în directorul obișnuit, se poate specifica o altă locație cu ajutorul variabilei de mediu TEXTDOMAINDIR. Directorul de căutare standard este: /usr/share/locale

AUTOR
Scris de Ulrich Drepper.

RAPORTAREA ERORILOR
Raportați erorile în sistemul de urmărire a erorilor la <https://savannah.gnu.org/projects/gettext> sau prin e-mail la <bug-gettext@gnu.org>.

DREPTURI DE AUTOR
Drepturi de autor © 1995-2025 Free Software Foundation, Inc. Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți. Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

CONSULTAȚI ȘI
Documentația completă pentru ngettext este menținută ca un manual Texinfo. Dacă programele info și ngettext sunt instalate corect pe sistemul dumneavoastră, comanda

    info ngettext

ar trebui să vă permită accesul la manualul complet.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.